package es.ejie.frmk.infraestructura.utilidades.mapeador;

import org.apache.commons.beanutils.ConvertingWrapDynaBean;
import org.apache.commons.beanutils.DynaBean;

/**
 * Clase que encapsula el contexto/bean final del mapeo
 * @author UFRM005
 * @version 1.0 
 */
public class Q70ObjetoContextoFinal {

	// variables miembro
	
	private DynaBean dynaBeanFinal = null; 
	
	// métodos de la clase
	
	/**
	 * Constructor de la clase
	 */
	public Q70ObjetoContextoFinal() {
		super();
	}
	
	/**
	 * Constructor alternativo de la clase 
	 * @param objContextoFinal Object objeto que representa el contexto final
	 */
	public Q70ObjetoContextoFinal(Object objContextoFinal ) {
		super();
		
		if( objContextoFinal instanceof DynaBean){
			dynaBeanFinal = (DynaBean) objContextoFinal;
		} else {
			ConvertingWrapDynaBean converDynaBean = new ConvertingWrapDynaBean(objContextoFinal);
			dynaBeanFinal = converDynaBean;
		}
		
	}

	/**
	 * Método que devuelve el contexto inicial
	 * @return dynaBeanFinal DynaBean que representa el contexto inicial
	 */
	public DynaBean getFinalDynaBean() {
		return dynaBeanFinal;
	}

}
